Skip to content

Order & Installation

All operations require authentication.

9 operationsv1/xdsl/{serviceName}
Agent setup

Get the extra IP range move of an xDSL accessProduction

GET
/1.0/xdsl/{serviceName}/addressMove/extraIpRange

Returns the extra IP range of the access, the access it will be moved to and the date of the move.

Path parameters

serviceName
required
string

Service name

Response

200ExtraIpRangeMovesuccessful operation
date
read-only
stringdate-time

Date of the migration

ipRange
read-only
ipv4Block

IPv4 CIDR notation (e.g., 192.0.2.0/24)

moveTo
read-only
string

Access where the IP range will be moved to

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/addressMove/extraIpRange \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "ipRange": "192.0.2.0/24", "moveTo": "string"}

Move the extra IP range of an xDSL accessProduction

POST
/1.0/xdsl/{serviceName}/addressMove/extraIpRangeMove

Starts the move of the extra IP range of the access to its new access after an address move. Returns the task that performs the change.

Path parameters

serviceName
required
string

Service name

Response

200Tasksuccessful operation
doneDate
read-only
stringdate-time

Date when the action was completed

function
read-only
string
—
id
read-only
integer
—
isArchived
read-only
boolean
—
status
read-only
TaskStatusEnum

Status of a task.

Valuescancelleddoingdoneerrorproblemtodo
todoDate
read-only
stringdate-time

Date when the action will start

updateDate
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/addressMove/extraIpRangeMove \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}

List the fiber eligibilities of an xDSL accessProduction

GET
/1.0/xdsl/{serviceName}/fiberEligibilities

Returns the IDs of the fiber eligibility checks of the access address. Filter by status: eligible, not_eligible, not_yet_eligible or no_building.

Path parameters

serviceName
required
string

Service name

Query parameters

status
FiberEligibilityStatusEnum

Filter the value of status property (=)

Valueseligibleno_buildingnot_eligiblenot_yet_eligible

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/fiberEligibilities \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a fiber eligibility of an xDSL accessProduction

GET
/1.0/xdsl/{serviceName}/fiberEligibilities/{id}

Returns the fiber offer, provider, status, building and availability date of the access address, and the copper network closure schedule.

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Response

200FiberEligibilitysuccessful operation
availabilityDate
read-only
stringdate-time

Availability date

buildingName
read-only
string

Building name

buildingReference
read-only
string

Building reference

buildingSeqId
read-only
integer

Building sequence id

copperGridClosureTrajectory
read-only
CopperGridClosureTrajectory

Copper grid closure trajectory

copperNraClosureTrajectory
read-only
CopperNraClosureTrajectory

Copper NRA closure trajectory

firstCopperClosure
read-only
FirstCopperClosure

First copper closure details, if applicable

firstEligibleDate
read-only
stringdate-time

First eligible date

grts
read-only
GtrEnum[]

Available GRTs

Values10ho20m_10ho20m_4ho4hno4ho5m_10ho5m_4hodplus1none
id
read-only
integer

Identifier

lastUpdate
read-only
stringdate-time

Last update date

offer
read-only
Offer

Offer

provider
read-only
Provider

Provider

status
read-only
FiberEligibilityStatusEnum

Status

Valueseligibleno_buildingnot_eligiblenot_yet_eligible

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/fiberEligibilities/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "availabilityDate": "2024-01-01T12:00:00Z", "buildingName": "string", "buildingReference": "string", "buildingSeqId": 0, "copperGridClosureTrajectory": { "commercialClosureAnnouncementDate": "2024-01-01", "commercialClosureDate": "2024-01-01", "commercialClosureInitialDate": "2024-01-01", "departmentCode": "string", "departmentName": "string", "ftthZone": "string", "inseeCode": "string", "lot": "string", "municipalityName": "string", "oiCode": "string", "oiName": "string", "technicalClosureAnnouncementDate": "2024-01-01", "technicalClosureDate": "2024-01-01", "technicalClosureInitialDate": "2024-01-01" }, "copperNraClosureTrajectory": { "inseeCode": "string", "lot": "string", "nra": "string", "operator": "string", "referer": "string", "technicalClosureDate": "2024-01-01" }, "firstCopperClosure": { "date": "2024-01-01", "referer": "string" }, "firstEligibleDate": "2024-01-01T12:00:00Z", "grts": [ "10ho" ], "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "offer": { "code": "string", "name": "string" }, "provider": { "code": "string", "name": "string" }, "status": "eligible"}

Get the status of the order of this accessDeprecated

GET
/1.0/xdsl/{serviceName}/orderFollowup

Deprecated since Sep 29, 2026, will be removed on Jan 1, 2027 — use /pack/xdsl/{packName}/orderFollowup instead.

Deprecated: use /pack/xdsl/{packName}/orderFollowup instead. This endpoint will be deleted on 2027-01-01.

Path parameters

serviceName
required
string

Service name

Response

200Step[]successful operation
comments
read-only
string[]
—
doneDate
read-only
stringdate-time
—
durationUnit
read-only
DurationUnitEnum

The duration units

Valuesdayhourminute
expectedDuration
read-only
integer
—
name
read-only
StepNameEnum

The status of an order step

ValuesaccessIsOperationalcheckInfrastructureconfigureAccessOnOVHorderPayedorderReceivedorderTreatmentsendModemsendOrderToProvidersetupCustomerPremisesEquipmentwaitingForProviderInstallReportwaitingForWithdrawalPeriodToBeOver
status
read-only
StepStatusEnum

The status of an order step

ValuesdoingdoneerrortodowaitingCustomer

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/orderFollowup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "comments": [ "string" ], "doneDate": "2024-01-01T12:00:00Z", "durationUnit": "day", "expectedDuration": 0, "name": "accessIsOperational", "status": "doing" }]

Book an installation meetingProduction

POST
/1.0/xdsl/{serviceName}/orderMeeting

Books one of the time slots returned by searchOrderMeetings for the access and relaunches its order.

Path parameters

serviceName
required
string

Service name

Request body (required)

endDate
required
stringdate-time

Meeting end date

startDate
required
stringdate-time

Meeting start date

uiCode
required
string

Meeting ui code ( code linked to the meeting returned by POST /xdsl/{serviceName}/orderMeetings )

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/orderMeeting \
  -H "authorization: Bearer $OVH_TOKEN"

Search the installation meeting slots of an orderProduction

POST
/1.0/xdsl/{serviceName}/searchOrderMeetings

Returns, as an asynchronous task, the available time slots for the line creation meeting of the access order.

Path parameters

serviceName
required
string

Service name

Response

200Meetingssuccessful operation
error
read-only
string
—
result
read-only
Meetings

List of available meeting time slots

status
read-only
AsyncTaskStatusEnum

AsyncTask status

Valueserrorokpending

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/searchOrderMeetings \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "error": "string", "result": { "canBookFakeMeeting": true, "capacities": { "eRdv": true, "phoneCall": true }, "meetingSlots": [ { "endDate": "2024-01-01T12:00:00Z", "slotId": "string", "startDate": "2024-01-01T12:00:00Z", "uiCode": "string" } ] }, "status": "error"}

Unlock an order waiting for the customerProduction

POST
/1.0/xdsl/{serviceName}/sendOrderToProvider

Sends to the provider an order in waitingCustomer status. Only applies to orders whose modem was sent before anything was forwarded to the provider.

Path parameters

serviceName
required
string

Service name

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/sendOrderToProvider \
  -H "authorization: Bearer $OVH_TOKEN"

Update the RIO of an orderProduction

POST
/1.0/xdsl/{serviceName}/updateInvalidOrMissingRio

Sets the RIO code of an order in error because of a missing or invalid RIO, or relaunches the order without number portability.

Path parameters

serviceName
required
string

Service name

Request body (required)

relaunchWithoutPortability
required
boolean

Do not set RIO, and relaunch order without portability

rio
string

RIO number for portability

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/xdsl/{serviceName}/updateInvalidOrMissingRio \
  -H "authorization: Bearer $OVH_TOKEN"